% dane
R1 = 1; R2 = 3; R3 = 2; R4 = 1; R5 = 1;
E1 = 10; E2 = 5;

% obliczanie prądów oczkowych
R = [ R1+R2+R4, -R4,    -R2; 
     -R4,        R3+R4, -R3; 
      R2,        R3,    -R2-R3-R5];
E = [E1; E2; 0]

I=inv(R)*E  % alternatywnie: I = R^(-1) * E

% obliczanie prądów gałęziowych
I1 = I(1)
I2 = I(1)-I(3)
I3 = I(2)-I(3)
I4 = I(2)-I(1)
I5 = I(3)

IG = [I1,I2,I3,I4,I5] % prądy gałęziowe

% obliczanie spadków napięć na opornikach
R = [R1,R2,R3,R4,R5]
UG = IG.*R