U = [3.95 4.1 3.8 3.9 4.1]
I = [3.9 12.4 7.6 0.38 20.4]

R = U ./ I        % rezystancje oporników

Rw1 = sum(R)      % rezystancja wypadkowa dla połączenia szeregowego

oR = 1 ./ R;      % odwrotność rezystancji oporników
oRw2 = sum (oR);  % odwrotność rezystancji wypadkowej dla połączenia równoleglego
Rw2 = 1 / oRw2    % rezystancja wypadkowa dla połączenia równoległego

[Rmin, Pmin] = min(R)  % najmniejszy opornik i jego numer
[Rmax, Pmax] = max(R)  % największy opornik i jego numer